IDispatch (JNA API)

com.sun.jna.platform.win32.COM.util

## Interface IDispatch

- All Superinterfaces:
    IUnknown
  All Known Implementing Classes:
    ProxyObject

      public interface IDispatch
      extends IUnknown

  Java friendly version of `IDispatch`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `getProperty(java.lang.Class<T> returnType, OaIdl.DISPID dispid, java.lang.Object... args)`
    `<T> T` | `getProperty(java.lang.Class<T> returnType, java.lang.String name, java.lang.Object... args)`
    `<T> T` | `invokeMethod(java.lang.Class<T> returnType, OaIdl.DISPID dispid, java.lang.Object... args)`
    `<T> T` | `invokeMethod(java.lang.Class<T> returnType, java.lang.String name, java.lang.Object... args)`
    `<T> void` | `setProperty(OaIdl.DISPID dispid, T value)`
    `<T> void` | `setProperty(java.lang.String name, T value)`

    - ### Methods inherited from interface com.sun.jna.platform.win32.COM.util.IUnknown

      `queryInterface`

- - ### Method Detail

    - #### setProperty

          <T> void setProperty(java.lang.String name,
                               T value)

    - #### getProperty

          <T> T getProperty(java.lang.Class<T> returnType,
                            java.lang.String name,
                            java.lang.Object... args)

    - #### invokeMethod

          <T> T invokeMethod(java.lang.Class<T> returnType,
                             java.lang.String name,
                             java.lang.Object... args)

    - #### setProperty

          <T> void setProperty(OaIdl.DISPID dispid,
                               T value)

    - #### getProperty

          <T> T getProperty(java.lang.Class<T> returnType,
                            OaIdl.DISPID dispid,
                            java.lang.Object... args)

    - #### invokeMethod

          <T> T invokeMethod(java.lang.Class<T> returnType,
                             OaIdl.DISPID dispid,
                             java.lang.Object... args)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.